### Method

# Gtk Window set_titlebar

#### Declaration [src]

    void
    gtk_window_set_titlebar (
      GtkWindow* window,
      GtkWidget* titlebar
    )

#### Description [src]

Sets a custom titlebar for `window`.

A typical widget used here is `GtkHeaderBar`, as it provides various features expected of a titlebar while allowing the addition of child widgets to it.

If you set a custom titlebar, GTK will do its best to convince the window manager not to put its own titlebar on the window. Depending on the system, this function may not work for a window that is already visible, so you set the titlebar before calling gtk_widget_show().

#### Parameters

`titlebar` | `GtkWidget`
| The widget to use as titlebar.
| The argument can be `NULL`.
| The data is owned by the caller of the function.